<button class="btn btn-info btn-user btn-sm mb-2" [routerLink]="['/production/fabric-inwards']">Show All Raw
    Materials</button>

<div class="card shadow mb-4">
    <div class="card-header">
        {{action}} Fabric Received Entry
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-12">
                <form [formGroup]="InwardEntriesForm" (ngSubmit)="addorUpdateInwardEntry()">
                    <div class="row form-group">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label> ERP:</label>
                            <select formControlName="erp" class="form-control dropdown" id="section"
                                (change)="getItemCodes()">
                                <option *ngFor="let erp of erps" value="{{erp.erp_id}}">{{erp.erp_title}}</option>
                            </select>
                            <div *ngIf="submitted && formcontrol.erp.errors" class="errors">
                                <div *ngIf="formcontrol.erp.errors.required">ERP is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Item Code:</label>
                            <select formControlName="fabric_code" class="form-control dropdown">
                                <option *ngFor="let items of itemcodes" value="{{items.item_code}}">
                                    {{items.item_code}}
                                </option>
                            </select>
                            <div *ngIf="submitted && formcontrol.fabric_code.errors" class="errors">
                                <div *ngIf="formcontrol.fabric_code.errors.required">Item Code is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label id="qlabel">Number of Rolls :</label>
                            <input formControlName="rolls" type="number" class="form-control form-control-user">
                            <div *ngIf="submitted && formcontrol.rolls.errors" class="errors">
                                <div *ngIf="formcontrol.rolls.errors.required">Number of Rolls is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label id="qlabel">Quantity:</label>
                            <input formControlName="received_quantity" type="number"
                                class="form-control form-control-user">
                            <div *ngIf="submitted && formcontrol.received_quantity.errors" class="errors">
                                <div *ngIf="formcontrol.received_quantity.errors.required">Quantity is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Barcode:</label>
                            <input formControlName="barcode" type="text" class="form-control form-control-user"
                                id="barcode">
                            <div *ngIf="submitted && formcontrol.barcode.errors" class="errors">
                                <div *ngIf="formcontrol.barcode.errors.required">Barcode is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>GRN-No:</label>
                            <input formControlName="grn_no" type="text" class="form-control form-control-user"
                                id="grn_no">
                            <div *ngIf="submitted && formcontrol.grn_no.errors" class="errors">
                                <div *ngIf="formcontrol.grn_no.errors.required">grn_no is required</div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3 mb-sm-0">
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>